insert.olink.pdf.frag
Prev | Linking | Next

## Name

insert.olink.pdf.frag — Add fragment identifiers for links into PDF files

## Synopsis

    <xsl:param name="insert.olink.pdf.frag" select="0"></xsl:param>

## Description

The value of this parameter determines whether the cross reference URIs to PDF documents made with `olink` will include fragment identifiers.

When forming a URI to link to a PDF document, a fragment identifier (typically a '#' followed by an id value) appended to the PDF filename can be used by the PDF viewer to open the PDF file to a location within the document instead of the first page. However, not all PDF files have id values embedded in them, and not all PDF viewers can handle fragment identifiers.

If `insert.olink.pdf.frag` is set to a non-zero value, then any olink targeting a PDF file will have the fragment identifier appended to the URI. The URI is formed by concatenating the value of the `olink.base.uri` parameter, the value of the `baseuri` attribute from the `document` element in the olink database with the matching `targetdoc` value, and the value of the `href` attribute for the targeted element in the olink database. The `href` attribute contains the fragment identifier.

If `insert.olink.pdf.frag` is set to zero (the default value), then the `href` attribute from the olink database is not appended to PDF olinks, so the fragment identifier is left off. A PDF olink is any olink for which the `baseuri` attribute from the matching `document` element in the olink database ends with '.pdf'. Any other olinks will still have the fragment identifier added.

Prev | Up | Next
insert.olink.page.number | Home | prefer.internal.olink